import { NpmConfigContainer, PathContainer, SuitesContainer, Suite, NpmConfig, NodeContext } from './types';
export declare function getAbsolutePath(pathToDir: string): string;
export declare function shouldRecordVideo(): boolean;
export declare function loadRunConfig(cfgPath: string): PathContainer | NpmConfigContainer | SuitesContainer;
export declare function getDefaultRegistry(): string;
export declare function setUpNpmConfig(nodeCtx: NodeContext, userConfig: NpmConfig): Promise<void>;
export declare function installNpmDependencies(nodeCtx: NodeContext, packageList: {
    [key: string]: string;
}): Promise<void>;
export declare function rebuildNpmDependencies(nodeCtx: NodeContext, path: string): Promise<void>;
export declare function hasNodeModulesFolder(runCfg: PathContainer): boolean;
export declare function getNpmConfig(runnerConfig: NpmConfigContainer): {
    registry?: undefined;
    'strict-ssl'?: undefined;
    'package-lock'?: undefined;
} | {
    registry: string;
    'strict-ssl': boolean;
    'package-lock': boolean;
};
export declare function prepareNpmEnv(runCfg: NpmConfigContainer & PathContainer, nodeCtx: NodeContext): Promise<{
    name: string;
    data: {
        install: {
            duration: number;
        };
        rebuild?: {
            duration: number;
        } | undefined;
        setup: {
            duration: number;
        };
    };
}>;
export declare function getArgs(): {
    nodeBin: string;
    runCfgPath: string;
    suiteName: string;
};
export declare function getEnv(suite: Suite): {
    [key: string]: string;
};
export declare function getSuite(runConfig: SuitesContainer, suiteName: string): Suite | undefined;
export declare function renameScreenshot(specFile: string, oldFilePath: string, folderName: string, fileName: string): string;
export declare function renameAsset({ specFile, oldFilePath, resultsFolder }: {
    specFile: string;
    oldFilePath: string;
    resultsFolder: string;
}): string;
export declare function escapeXML(val: string): string;
//# sourceMappingURL=utils.d.ts.map